perl-Dancer2-Plugin-EncryptID-0.03-alt1.noarch.rpm


Advertisement

Description

perl-Dancer2-Plugin-EncryptID - Obfuscate IDs/string in URLs

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package name perl-Dancer2-Plugin-EncryptID
Package version 0.03
Package release alt1
Package architecture noarch
Package type rpm
Installed size 10.34 KB
Download size 10.34 KB
Official Mirror ftp.altlinux.org
This module makes easy to obfuscate internal IDs when using them in a URL given to users.
Instead of seeing http://example.com/item/42
users will see http://example.com/item/c98ea08a8e8ad715 .
This will prevent nosy users from trying to iterate all items based on a simple ID in the URL.

Alternatives

Package Version Architecture Repository
perl-Dancer2-Plugin-EncryptID - - -

Requires

Name Value
/usr/share/perl5 -
perl(Crypt/Blowfish.pm) -
perl(Dancer2/Plugin.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Dancer2/Plugin/EncryptID.pm) = 0.030
perl-Dancer2-Plugin-EncryptID = 0.03-alt1

Download

Type URL
Binary Package perl-Dancer2-Plugin-EncryptID-0.03-alt1.noarch.rpm
Source Package perl-Dancer2-Plugin-EncryptID-0.03-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Dancer2-Plugin-EncryptID rpm package:
    # sudo apt-get install perl-Dancer2-Plugin-EncryptID

Files

Path
/usr/share/doc/perl-Dancer2-Plugin-EncryptID-0.03/Changes
/usr/share/doc/perl-Dancer2-Plugin-EncryptID-0.03/README
/usr/share/perl5/Dancer2/
/usr/share/perl5/Dancer2/Plugin/EncryptID.pm

See Also

Package Description
perl-Dancer2-Plugin-Etcd-0.011-alt1.noarch.rpm Access to etcd v3 API via Dancer2
perl-Dancer2-Plugin-Etcd-scripts-0.011-alt1.noarch.rpm Dancer2-Plugin-Etcd scripts
perl-Dancer2-Plugin-Feed-1.160550-alt1.noarch.rpm Easy to generate feed rss or atom for Dancer2 applications
perl-Dancer2-Plugin-Flash-0.03-alt1.noarch.rpm flash message for Dancer2
perl-Dancer2-Plugin-FlashNote-0.02-alt1.noarch.rpm support notifications in your Dancer2 web application
perl-Dancer2-Plugin-FontSubset-0.0.1-alt1.noarch.rpm Generate font subsets on-the-fly
perl-Dancer2-Plugin-Github-Webhook-0.01-alt1.noarch.rpm Check Github Webhook secret
perl-Dancer2-Plugin-GoogleAnalytics-0.002-alt1.noarch.rpm A Dancer2 plugin to easily add Google Analytics code
perl-Dancer2-Plugin-GraphQL-0.06-alt1.noarch.rpm a plugin for adding GraphQL route handlers
perl-Dancer2-Plugin-Growler-0.03-alt1.noarch.rpm Growl multiple messages of varying types to the user on their next hit
perl-Dancer2-Plugin-HTTP-Auth-Extensible-0.121-alt1.noarch.rpm extensible authentication framework for Dancer2 apps
perl-Dancer2-Plugin-HTTP-Bundle-0.02-alt1.noarch.rpm The missing HTTP bits of Dancer2 Bundled
perl-Dancer2-Plugin-HTTP-Caching-0.01-alt1.noarch.rpm RFC 7234 compliant
perl-Dancer2-Plugin-HTTP-ConditionalRequest-0.05-alt1.noarch.rpm RFC 7232 compliant
perl-Dancer2-Plugin-HTTP-ContentNegotiation-0.02-alt1.noarch.rpm Server-driven negotiation
Advertisement
Advertisement